varying highp vec4 var_position;
varying highp vec3 var_normal;
varying highp vec2 var_texcoord0;

uniform highp sampler2D tex0;
uniform highp sampler2D tex1;
uniform highp vec4 tint;

void main() {

    highp vec4 tint_pm = vec4(tint.xyz * tint.w, tint.w);
    gl_FragColor = texture2D(tex0, var_texcoord0.xy) * tint_pm;
    
}
